Subject: Re: confused about remote branch management

From: Ross Boylan <[email-masked]>
Date: Wed, 23 Jul 2014 11:54:01 -0700

On Wed, 2014-07-23 at 15:09 +0200, Kevin wrote:
> 
> On Jul 23, 2014 5:11 AM, "Ross Boylan" <[email-masked]> wrote:
> >
> > My local master branch is the result of a merge of upstream master
> and
> > some local changes.  I want to merge in more recent upstream work.
> > git pull doesn't seem to have updated origin/master, and git
> checkout
> > origin/master also doesn't seem to work.
> >
> 
> git pull with two parameters in older versions will not update remote
> tracking branches. That's because the last parameter expects a refspec
> with a source and destination and you only specify a source. 
My command was "git pull origin master" so I  think it has a source as
well.
> 
> Doing a git fetch will update them. 
I thought git pull = get fetch + git merge.  Are you saying that if I
issued those 2 commands separately the result would have been different?
Ross
> 
> > ross@tempserver:~/UCSF/Choi/GitHub/ESS$ git --version
> > git version 1.7.10.4
> 
> Version 1.8.4 changes this behavior and will update the remote
> tracking branches. 
> 
>